%define oname plasma-integration

Summary:	Plasma 5 workspace and cross-framework integration module
Name:		plasma5-integration
Version:	5.7.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
Patch0:		plasma-integration-5.6.2-default-fonts.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	breeze-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5wayland-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcursor)

%description
Plasma 5 workspace and cross-framework integration module.

#----------------------------------------------------------------------------

%package -n qt5-platformtheme-plasma5
Summary:	Plasma 5 platform theme for Qt 5
Group:		Graphical desktop/KDE
Requires:	frameworkintegration
Obsoletes:	qt5-platformtheme-kde5 < 5.23.0

%description -n qt5-platformtheme-plasma5
Plasma 5 platform theme for Qt 5.

%files -n qt5-platformtheme-plasma5 -f plasmaintegration5.lang
%{_qt5_plugindir}/platformthemes/KDEPlasmaPlatformTheme.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang plasmaintegration5

%changelog

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (5e78af5) Build requires breeze-devel


